Appearance
GET
/order-management/order/ordersRequired scope:
viskan:order:readSearches for orders in the system.
Parameters
Query parameters
countryCode stringMultivalued
Filter on delivery country of order (ISO 3166-1 alpha-2 standard format). For example countryCode=SE&countryCode=NO.
customFieldValue stringMultivalued
An optional filter on one/many custom field values. For example customFieldValue=22468-15267-80&customFieldValue=22468-15267-81
customerId integerAn optional filter on customer id. Mutually exclusive with customer number. For example customerId=1234
Default value:
-1customerNumber stringAn optional filter on customer number. Mutually exclusive with customer id. For example customerNumber=8564
includeCanceledRows booleanAn optional filter on whether or not to include canceled order rows.
methodOfArrival stringMultivalued
An optional filter on one/many method of arrivals. For example methodOfArrivals=A09
modifiedAfter stringFilter on last modification date. Useful for getting delta-changes.
orderId integerMultivalued
An optional filter on one/many orderId. For example orderId=123&orderId=789
orderNumber stringMultivalued
An optional filter on one/many orderNumber For example orderNumber=abc&orderNumber=xyz
page integerThe page to search for.
Default value:
1processChain stringFilter on current order processChain. For example processChain=OUTORDER_CANCEL. The use of this filter is contingent upon the approval of Viskan.
processStatus stringMultivalued
Filter on current order processStatus. For example processStatus=STARTED&processStatus=DONE. The use of this filter is contingent upon the approval of Viskan.
purchaseNumber stringAn optional filter on a single purchasenumber. For example purchaseNumber=1234
resultsPerPage integerThe number of results per page.
searchId stringThe search ID to use for continued pages. Not usable together with any of the filters. More details.
status enumMultivalued
Filter on current order status. For example status=CREATED&status=DELIVERED.
Enum:
CANCELEDDELIVERY_CREATEDFULLY_DELIVEREDPART_DELIVEREDPLACEDwebStoreNumber stringMultivalued
An optional filter on one/many web store(s) where the order was placed. Only applicable for web orders, subscription based orders and physical store orders are not supported by this filter. For example webStoreNumber=888
Response
The search was successful.